﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;
using System.Net;
using System.Collections;

namespace StokerApp
{
    public partial class Alarmform : Form
    {
        public Alarmform()
        {
            InitializeComponent();
        }

        private void gemalarmer_Click(object sender, EventArgs e)
        {
            StreamWriter sw = new StreamWriter("alarm.txt");
            sw.WriteLine(textBox1.Text); //smtp server
            sw.WriteLine(textBox2.Text); //mail modtager
            sw.WriteLine(textBox3.Text); // magasin grænse
            sw.WriteLine(textBox4.Text); //port nummer
            sw.WriteLine(textBox5.Text); // afsendermail
            sw.WriteLine(textBox6.Text); // afsender kodeord
            sw.WriteLine(textBox7.Text); // timerinterval i sekunder
            if (checkBox1.Checked)
            {
                sw.WriteLine("ja");
            }
            else
            {
                sw.WriteLine("nej");
            }
            sw.Flush();
            sw.Close();
            this.Close();
        }

        private void Alarmform_Load(object sender, EventArgs e)
        {
            if (File.Exists("alarm.txt"))
            { // hent nuværende værdier
                StreamReader sr = new StreamReader("alarm.txt");
                string minsmtp = sr.ReadLine();
                string modtager = sr.ReadLine();
                string magasingrænse = sr.ReadLine();
                int portnummer = Convert.ToInt32(sr.ReadLine());
                string afsender = sr.ReadLine();
                string kodeord = sr.ReadLine();
                string timersekunder = sr.ReadLine();
                bool alarmsat = sr.ReadLine().Equals("ja");
                sr.Close();
                textBox1.Text = minsmtp;
                textBox2.Text = modtager;
                textBox3.Text = magasingrænse;
                textBox4.Text = "" + portnummer;
                textBox5.Text = afsender;
                textBox6.Text = kodeord;
                textBox7.Text = timersekunder;
                checkBox1.Checked = alarmsat;

            }
        }
    }
}
